#ifndef __JTCOMMON_HTTP_CONSTS_H__
#define __JTCOMMON_HTTP_CONSTS_H__

//#include "hci_sys.h"
#include <string>
#ifdef __LINUX__
#include <string.h>
#endif

#ifdef WIN32
#pragma warning(disable:4996)
#endif

#define MAX_HTTP_PACKET_NUM  (1024)

typedef struct _RECV_BUFF {
	char * pBuff[MAX_HTTP_PACKET_NUM];
	int nBuffLen[MAX_HTTP_PACKET_NUM];
} RECV_BUFF;


#define MAX_PROXY_STR_LEN  (256)

typedef enum _HTTP_PROXY_VALID
{
    kHttpProxyValid = 0,
    kHttpProxyInvalid = 1,
}HTTP_PROXY_VALID;

#define MAX_HTTP_URL_LEN					( 256 )

struct CurlProxy
{
    HTTP_PROXY_VALID httpProxyValid;
    char httpProxy_[MAX_PROXY_STR_LEN];
    unsigned int httpProxyPort_;
    char httpProxyUserName_[MAX_PROXY_STR_LEN];
    char httpProxyPassword_[MAX_PROXY_STR_LEN];

    void Reset()
    {
        memset(httpProxy_,0,MAX_PROXY_STR_LEN);
        memset(httpProxyUserName_,0,MAX_PROXY_STR_LEN);
        memset(httpProxyPassword_,0,MAX_PROXY_STR_LEN);
        httpProxyPort_ = 1080;
        httpProxyValid = kHttpProxyInvalid;
    }

    void CopyFrom(const CurlProxy & curlProxy)
    {
        Reset();
        if (curlProxy.httpProxyValid == kHttpProxyValid)
        {
            strncpy(httpProxy_,curlProxy.httpProxy_,MAX_PROXY_STR_LEN - 1);
            httpProxyPort_ = curlProxy.httpProxyPort_;
            strncpy(httpProxyPassword_,curlProxy.httpProxyPassword_,MAX_PROXY_STR_LEN - 1);
            strncpy(httpProxyUserName_,curlProxy.httpProxyUserName_,MAX_PROXY_STR_LEN - 1);
        }
        httpProxyValid = curlProxy.httpProxyValid;
    }
};

typedef enum _HTTP_ERROR_CODE
{
	HTTP_ERROR_UNKOWN = -1,
	HTTP_ERROR_NONE = 0,
	HTTP_ERROR_URL_INVALID,				//URLЧ
	HTTP_ERROR_SET_URL,					//URL
	HTTP_ERROR_SET_HEADER,				//HTTPͷ
	HTTP_ERROR_SET_CONNECT_TIMEOUT,		//ӳʱ
	HTTP_ERROR_SET_REQUEST_TIMEOUT,		//ʱ
	HTTP_ERROR_CURL_EASR_INIT,			//CURL easy ʼ
	HTTP_ERROR_CURL_MULTI_INIT,			//CURL MUILTY ʼ

	HTTP_ERROR_DOWNLOADFILE_INVALID,	//ļЧ
	HTTP_ERROR_NO_RESPONSE,				//ûӦ
	HTTP_ERROR_RESPONSE_MORE_LARGE,		//Ӧ̫󣬻ȡӦݳȲ

	HTTP_ERROR_CONNECT_FAILED,			//Ӵ
	HTTP_ERROR_ACCEPT_TIMEOUT,			//ʱ
	HTTP_ERROR_PERFORM_FAILED,			//Perform
}HTTP_ERROR_CODE;

#define HTTP_TIME_OUT_TEN_SECONDS (10)
#define HTTP_TIME_OUT_THIRTY_SECONDS  (30)
#define HTTP_TIME_OUT_SIXTY_SECONDS  (60)
#define HTTP_TIME_OUT_FIFTEEN_SECONDS (15)


#endif

